GERMINATE-PKG-DIFF(1)

NAME
germinate-pkg-diff - compare seeds against currently installed packages

SYNOPSIS
germinate-pkg-diff [-l file] [-m {i|r|d}] [-a arch] [seeds]

DESCRIPTION
germinate-pkg-diff compares the expansion of a list of seed packages against the set of packages installed on the current system. When constructing seeds for a software distribution, it can be used to iteratively find packages installed on developers' systems that should be included in the seeds.

A list of seeds against which to compare may be supplied as non-option arguments. Seeds from which they inherit will be added automatically. The default is ‘desktop’.

OPTIONS

-l, - -list file Read the list of currently installed packages from file. The default is to read the output of dpkg - -get-selections, and any supplied file should be in the same format.

-m, - -mode {i|r|d} Set the output mode as follows:

    i   Show the dpkg selections needed to install just these seeds. List unseeded but installed files as “deinstall”, and seeded but uninstalled files as “install”.

    r   List unseeded but installed files as “install”, and seeded but uninstalled files as “deinstall”.

    d   Show the differences between the packages specified by the seeds and the list of installed packages, in a somewhat diff-like format.

-S, - -seed-source source,... Fetch seeds from the specified sources. The default is https://ubuntu-archive-team.ubuntu.com/seeds/.

-s, - -seed-dist dist Fetch seeds for distribution dist. The default is ubuntu.resolute.

-d, - -dist dist,... Operate on the specified distributions. The default is resolute. Listing multiple distributions may be useful, for example, when examining both a released distribution and its security updates.

-a, - -arch arch Operate on architecture arch. The default is amd64.

BUGS
- -mode r is useless as dpkg - -set-selections input.

AUTHORS
Lamont Jones <lamont@ubuntu.com> Colin Watson <cjwatson@canonical.com>

-nosplit germinate-pkg-diff is copyright © 2004, 2005, 2006, 2007, 2008 Canonical Ltd. See the GNU General Public License version 2 or later for copying conditions. A copy of the GNU General Public License is available in /usr/share/common-licenses/GPL.